Namespace: webdriver
View Source

# class WebDriver.Navigation

Interface for navigating back and forth in the browser history.

### new WebDriver.Navigation(driver)

Parameters

driver`webdriver.WebDriver`

  The parent driver.

## Instance Methods

### back()code »

Schedules a command to move backwards in the browser history.

Returns

`webdriver.promise.Promise<undefined>`

  A promise that will be resolved when the navigation event has completed.

### forward()code »

Schedules a command to move forwards in the browser history.

Returns

`webdriver.promise.Promise<undefined>`

  A promise that will be resolved when the navigation event has completed.

### refresh()code »

Schedules a command to refresh the current page.

Returns

`webdriver.promise.Promise<undefined>`

  A promise that will be resolved when the navigation event has completed.

### to(url)code »

Schedules a command to navigate to a new URL.

Parameters

url`string`

  The URL to navigate to.

Returns

`webdriver.promise.Promise<undefined>`

  A promise that will be resolved when the URL has been loaded.